Plack::App::FCGIDispatcher(3)

NAME
Plack::App::FCGIDispatcher - Dispatch requests to FCGI servers

SYNOPSIS
  # app.psgi
  use Plack::App::FCGIDispatcher;
  my $app = Plack::App::FCGIDispatcher->new({
      port => 8080, # FastCGI daemon port
  })->to_app;

DESCRIPTION
Plack::App::FCGIDispatcher is not really a middleware but it's a PSGI application to dispatch requests to external FCGI servers.

CONFIGURATION

host, port
      my $app = Plack::App::FCGIDispatcher->new({
          host => '127.0.0.1', port => 8080,
      })->to_app;

    Specifies host and port where FastCGI daemon is listening. host defaults to 127.0.0.1.

socket
      my $app = Plack::App::FCGIDispatcher->new({
          socket => "/tmp/fcgi.sock",
      })->to_app;

    Specifies UNIX socket path where FastCGI daemon is listening.

AUTHOR
Tokuhiro Matsuno

Tatsuhiko Miyagawa

SEE ALSO
FCGI::Client